/*
 * Nástroje → Spravovat knihovny (zkratka Ctrl+Shift+I) → Vyhledat „StepperDriver" (by „Laurentiu Badea”), „verze 1.3.1”.
 * 
 * Simple demo, should work with any driver board
 *
 * Connect STEP, DIR as indicated
 *
 * Copyright (C)2015-2017 Laurentiu Badea
 *
 * This file may be redistributed under the terms of the MIT license.
 * A copy of this license has been included with this distribution in the file LICENSE.
 */
#include <Arduino.h>
#include "BasicStepperDriver.h"

// Motor steps per revolution. Most steppers are 200 steps or 1.8 degrees/step
#define MOTOR_STEPS 200
#define RPM 120

#define MICROSTEPS 1

#define DIR     5
#define STEP    2
#define SLEEP   8

BasicStepperDriver stepper(MOTOR_STEPS, DIR, STEP, SLEEP);

void setup() {
    stepper.begin(RPM, MICROSTEPS);
    stepper.setEnableActiveState(LOW);
}

void loop() {
  
    // energize coils - the motor will hold position
     stepper.enable();
     delay(2000);
  
    /*
     * Moving motor one full revolution using the degree notation
     */
    stepper.rotate(360);

    /*
     * Moving motor to original position using steps
     */
    stepper.move(-MOTOR_STEPS*MICROSTEPS);


    stepper.rotate(36000);
    // pause and allow the motor to be moved by hand
    stepper.disable();
    delay(2000);
}
